> ## Name

> cgGetFirstStructParameter - get the first child parameter from a struct parameter

> ## Synopsis

>     #include <Cg/cg.h>

>     CGparameter cgGetFirstStructParameter( CGparameter param );

> ## Parameters

> param
>   Specifies the struct parameter. This parameter must be of type CG_STRUCT (returned by cgGetParameterType).

> ## Return Values

> Returns a handle to the first member parameter.

> Returns NULL if param is not a struct or if some other error occurs.

> ## Description

> cgGetFirstStructParameter returns the first member parameter of a struct parameter. The rest of the members may be retrieved from the first member by iterating with cgGetNextParameter.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

> CG_INVALID_PARAMETER_TYPE_ERROR is generated if param is not a struct parameter.

> ## History

> cgGetFirstStructParameter was introduced in Cg 1.1.

> ## See Also

> cgGetNextParameter, cgGetFirstParameter, cgGetFirstUniformBufferParameter